Project

General

Profile

Bug #32995

Katello 4.1 journal: warning: URI.escape is obsolete

Added by Partha Aji 10 months ago. Updated 10 months ago.

Status:
Closed
Priority:
Normal
Category:
Repositories
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

Opening this issue reported here https://community.theforeman.org/t/katello-4-1-journal-warning-uri-escape-is-obsolete/24315

User seeing a lot of

Jul  7 14:07:44 foreman foreman: /opt/theforeman/tfm/root/usr/share/gems/gems/katello-4.1.0/app/lib/katello/http_resource.rb:75: warning: URI.escape is obsolete

User has
tfm-rubygem-katello-4.1.0-1.el7.noarch

Associated revisions

Revision 987eb63a (diff)
Added by Jonathon Turel 10 months ago

Fixes #32995 - URI.escape is obsolete warning (#9477)

  • Fixes #32995 - URI.escape is obsolete warning
  • Refs #32995 - use define_method in the class block

History

#1 Updated by James Jeffers 10 months ago

  • Triaged changed from No to Yes
  • Target version set to Katello 4.2.0

#2 Updated by Justin Sherrill 10 months ago

  • Bugzilla link set to 1982343

#3 Updated by The Foreman Bot 10 months ago

  • Assignee set to Jonathon Turel
  • Status changed from New to Ready For Testing
  • Pull request https://github.com/Katello/katello/pull/9477 added

#4 Updated by The Foreman Bot 10 months ago

  • Fixed in Releases Katello 4.3.0 added

#5 Updated by Jonathon Turel 10 months ago

  • Status changed from Ready For Testing to Closed

Also available in: Atom PDF